﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using RedCritterConnecter.Samples;

namespace SignInSample
{
    public partial class Form1 : Form
    {
        private SignIn SignIn = new SignIn();

        public Form1()
        {
            InitializeComponent();
          
            SignIn.onSignInResponse += SignIn_onSignInResponse;
            SignIn.onSignInResponseError += SignIn_onSignInResponseError;
        }

        private void bSignIn_Click(object sender, EventArgs e)
        {
          
            SignIn.Execute(tEmail.Text, tPassword.Text, tInvitationAppDomainID.Text, tInvitationCode.Text, tShareCode.Text, tGetProfile.Text, tDeveloperLogin.Text, tSessionTimeoutMin.Text);
        }

        void SignIn_onSignInResponseError(SignInResponse SignInResponse)
        {
            lResult.Text = "SignIn call failed";
        }

        void SignIn_onSignInResponse(SignInResponse SignInResponse)
        {
            lResult.Text = "SignIn call was successfully submitted";
                       
                txtTeamProfile.Text += "SessionID = " + SignInResponse.SessionID;
                txtTeamProfile.Text += "\r\n";
                txtTeamProfile.Text += "UserID = " + SignInResponse.UserID;
                txtTeamProfile.Text += "\r\n";
                txtTeamProfile.Text += "\r\n";
                txtTeamProfile.Text += "\r\n";
            

            
        }





    }
}
